Sales Orders
Create Order
Create a new sales order or update existing (creates new version).
Actions:
draft: Save as draftsubmit_for_review: Submit for approval
Creating new vs updating:
- Omit
idto create a new order - Provide
id(document_id) to create a new version of existing order
POST
/
api
/
v1
/
orders
Create Order
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientId": "<string>",
"etd": "2023-11-07T05:31:56Z",
"shippingTerm": "<string>",
"paymentTerm": "<string>",
"id": "<string>",
"clientPoNumber": "<string>",
"styleId": "<string>",
"deadline": "2023-11-07T05:31:56Z",
"shipmentPlan": "<string>",
"shipmentSchedule": [
{
"shipmentNumber": 2,
"etd": "2023-11-07T05:31:56Z",
"quantity": 1
}
],
"estimatedQuantity": 123,
"estimatedCost": 123,
"sourceQuoteId": "<string>",
"trueCostPrice": 123,
"trueCostCurrency": "<string>",
"budgetAllowableTolerance": 0,
"requestedDeliveryDate": "2023-11-07T05:31:56Z",
"requestedBulkReadyDate": "2023-11-07T05:31:56Z",
"notes": "<string>",
"lineItems": [],
"changeDescription": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/orders"
payload = {
"clientId": "<string>",
"etd": "2023-11-07T05:31:56Z",
"shippingTerm": "<string>",
"paymentTerm": "<string>",
"id": "<string>",
"clientPoNumber": "<string>",
"styleId": "<string>",
"deadline": "2023-11-07T05:31:56Z",
"shipmentPlan": "<string>",
"shipmentSchedule": [
{
"shipmentNumber": 2,
"etd": "2023-11-07T05:31:56Z",
"quantity": 1
}
],
"estimatedQuantity": 123,
"estimatedCost": 123,
"sourceQuoteId": "<string>",
"trueCostPrice": 123,
"trueCostCurrency": "<string>",
"budgetAllowableTolerance": 0,
"requestedDeliveryDate": "2023-11-07T05:31:56Z",
"requestedBulkReadyDate": "2023-11-07T05:31:56Z",
"notes": "<string>",
"lineItems": [],
"changeDescription": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientId: '<string>',
etd: '2023-11-07T05:31:56Z',
shippingTerm: '<string>',
paymentTerm: '<string>',
id: '<string>',
clientPoNumber: '<string>',
styleId: '<string>',
deadline: '2023-11-07T05:31:56Z',
shipmentPlan: '<string>',
shipmentSchedule: [{shipmentNumber: 2, etd: '2023-11-07T05:31:56Z', quantity: 1}],
estimatedQuantity: 123,
estimatedCost: 123,
sourceQuoteId: '<string>',
trueCostPrice: 123,
trueCostCurrency: '<string>',
budgetAllowableTolerance: 0,
requestedDeliveryDate: '2023-11-07T05:31:56Z',
requestedBulkReadyDate: '2023-11-07T05:31:56Z',
notes: '<string>',
lineItems: [],
changeDescription: '<string>'
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"salesOrderId": "<string>",
"documentId": "<string>",
"versionNumber": 123,
"status": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Input schema for creating a new sales order (POST /orders/).
- action: "draft" saves as draft, "submit_for_review" submits for approval
- id: None = create new, provided = update existing (create new version)
Actions for sales order state transitions
Permissions:
- draft, submit_for_review: Any authenticated user
- confirm, reject: Manager or Admin only
- mark_in_procurement, mark_in_production, mark_delivered: Manager or Admin only
Available options:
draft, submit_for_review, approve, confirm, reject, mark_in_procurement, mark_in_production, mark_partially_delivered, mark_delivered Maximum string length:
50Show child attributes
Show child attributes
Show child attributes
Show child attributes
Previous
Get OrderGet a single sales order by document ID.
Returns full order details including:
- Line items
- Version history (all previous versions with change descriptions)
Next
⌘I
Create Order
